# Get card password Gets card Personal Identification Number (PIN) used for authenticating purchases with Pinpads. **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "PCI", "description": "Card PCI/sensitive information endpoints" } ], "components": { "parameters": { "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true } }, "schemas": { "AccountID": { "type": "integer", "description": "Pismo account ID", "example": 7654776 }, "CardID2": { "type": "integer", "description": "Pismo card ID", "example": 123456 }, "CorrelationID": { "type": "string", "description": "Correlation ID used in request x-cid header. This is used to link related API requests and events. For example, if a user makes an authorization request with 10 installments, this generates 1 authorization event and 10 transaction events all containing the same correlation ID. The x-cid can help the Pismo engineering team track everything related to a call. If this field isn't passed, one is generated. You can find the x-cid field in the response header from an API endpoint call.\n", "example": "3b56dbec-e509-9550-8c8c-ae5ab081e4d5" }, "GetPasswordResponse": { "type": "object", "description": "Get PCI card password response object", "properties": { "org_id": { "$ref": "#/components/schemas/OrgID" }, "card_id": { "$ref": "#/components/schemas/CardID2" }, "correlation_id": { "$ref": "#/components/schemas/CorrelationID" }, "account_id": { "$ref": "#/components/schemas/AccountID" }, "pin": { "$ref": "#/components/schemas/PIN" }, "pan": { "$ref": "#/components/schemas/PANencrypted" }, "password_updated": { "$ref": "#/components/schemas/PasswordUpdated" } } }, "OrgID": { "type": "string", "description": "Organization/tenant ID", "example": "TN-f878e4a1-2879-48ba-be16-821e73ac98db" }, "PANencrypted": { "type": "string", "description": "Primary Account Number (PAN) encrypted with AES/GCM/NoPadding algorithm. The ciphertext (PAN encryption result) is **REQUIRED** to be base64 encoded.\n", "example": "/5yGTkBSoqGY+Ug5yJuHUSGk54VRMNoY0G5Ni2HSa64=" }, "PasswordUpdated": { "type": "boolean", "description": "Has password been updated?" }, "PIN": { "type": "string", "description": "Card Primary Identification Number (PIN) - 4 or 6 digits", "minLength": 4, "maxLength": 6, "example": "7654" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "404NotFound": { "description": "The specified resource was not found" }, "409ConflictPinNull": { "description": "Card PIN must not be null" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/pcicards/v2/pcicards/password/{cardId}": { "get": { "operationId": "get-v2-card-password", "summary": "Get card password", "description": "Gets card Personal Identification Number (PIN) used for authenticating purchases with Pinpads.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "PCI" ], "parameters": [ { "$ref": "#/components/parameters/cardId" } ], "responses": { "200": { "description": "Response for get password request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetPasswordResponse" } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "409": { "$ref": "#/components/responses/409ConflictPinNull" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```